Bug 33445 - http/tests/incremental/split-hex-entities.pl timed out on Gtk Linux 32-bit Debug Bot
Summary: http/tests/incremental/split-hex-entities.pl timed out on Gtk Linux 32-bit De...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Eric Seidel (no email)
URL:
Keywords:
Depends on:
Blocks: 33295
  Show dependency treegraph
 
Reported: 2010-01-09 19:47 PST by Eric Seidel (no email)
Modified: 2012-04-25 02:31 PDT (History)
6 users (show)

See Also:


Attachments
Patch (1.10 KB, patch)
2010-01-26 16:12 PST, Eric Seidel (no email)
gns: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2010-01-09 19:47:18 PST
http/tests/incremental/split-hex-entities.pl timed out on Gtk Linux 32-bit Debug Bot

I suspect the test may just be slow.  This test is also mentioned in bug 28467, but I doubt these two are related.

http://build.webkit.org/results/GTK%20Linux%2032-bit%20Debug/r53044%20(2243)/results.html

This test has been around forever:
http://trac.webkit.org/browser/trunk/LayoutTests/http/tests/incremental/split-hex-entities.pl
Comment 1 Csaba Osztrogonác 2010-01-13 03:09:37 PST
It occured again on GTK Linux 64-bit Debug

http://build.webkit.org/results/GTK%20Linux%2064-bit%20Debug/r53182%20%282349%29/results.html
Comment 2 Eric Seidel (no email) 2010-01-24 23:11:44 PST
Timed out again:
http://build.webkit.org/results/GTK%20Linux%2032-bit%20Debug/r53790%20(2643)/results.html

I suspect this could be a real timeout.  It would help greatly if someone with a gtk build could time how long this test takes, or get a sample of what it's doing.

If we don't make any progress soon, we should skip this to keep the bots green until we have a test expectations system which allows us to have tests which expect both pass and timeout results.
Comment 3 Eric Seidel (no email) 2010-01-26 16:12:22 PST
Created attachment 47456 [details]
Patch
Comment 4 WebKit Commit Bot 2010-01-27 10:28:22 PST
Comment on attachment 47456 [details]
Patch

Rejecting patch 47456 from commit-queue.

Failed to run "['/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', '--reviewer', 'Gustavo Noronha Silva', '--force']" exit_code: 1
patching file LayoutTests/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file LayoutTests/platform/gtk/Skipped
Hunk #1 FAILED at 5781.
1 out of 1 hunk FAILED -- saving rejects to file LayoutTests/platform/gtk/Skipped.rej

Full output: http://webkit-commit-queue.appspot.com/results/216109
Comment 5 Eric Seidel (no email) 2010-02-01 16:11:45 PST
Attachment 47456 [details] was posted by a committer and has review+, assigning to Eric Seidel for commit.
Comment 6 Eric Seidel (no email) 2010-02-02 14:29:44 PST
Committed r54254: <http://trac.webkit.org/changeset/54254>
Comment 7 Martin Robinson 2010-07-27 12:09:29 PDT
I ran this a few times locally and it seems to be a very slow test:
5.20s total testing time
7.63s total testing time
7.73s total testing time

Meanwhile another test shows:
2.25s total testing time
2.23s total testing time
(so we know it isn't all overhead)

Our debug bots should be faster now, so maybe we can unskip this, at least.
Comment 8 Sergio Villar Senin 2012-04-25 02:31:38 PDT
Unskipped in r115176 as it's working fine in all the GTK+ bots.